Name: rrdtool
Version: 1.0.50
Release: 1
Summary: Round Robin Database Tool to store and display time-series data
License: GPL
Group: Applications/Databases
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
Source: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/rrdtool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel
###BuildRequires: perl = 5.8.2
###Requires: perl = 5.8.2
Requires: zlib

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and 
display time-series data (i.e. network bandwidth, machine-room temperature, 
server load average). It stores the data in a very compact way that will not 
expand over time, and it presents useful graphs by processing the data to 
enforce a certain data density. It can be used either via simple wrapper 
scripts (from shell or Perl) or via frontends that poll network devices and 
put a friendly user interface on it.

%package devel
Summary: RRDtool static libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.

###%package -n perl-rrdtool
###Summary: Perl RRDtool bindings
###Group: Development/Languages
###Requires: %{name} = %{version}

###%description -n perl-rrdtool
###The Perl RRDtool bindings.

#%package -n php-rrdtool
#Summary: RRDtool module for PHP
#Group: Development/Languages
#Requires: %{name} = %{version}, php >= 4.0

#%description -n php-rrdtool
#The php-%{name} package includes a dynamic shared object (DSO) that adds
#RRDtool bindings to the PHP HTML-embedded scripting language.


%prep
%setup -q


%build
export CC=xlc
export CFLAGS="-O2"
./configure --prefix=/opt/freeware --enable-shared --enable-static --enable-local-png --enable-local-zlib --disable-tcl --disable-python
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

### We only want .txt and .html files for the main documentation
%{__mkdir_p} rpm-doc/docs/
/opt/freeware/bin/cp -ap doc/*.txt doc/*.html rpm-doc/docs/

%{__rm} -f examples/Makefile* examples/*.in

### Clean up buildroot
###%{__rm} -rf %{buildroot}%{_libdir}/perl/5.8.2/ppc-aix/*/*/.packlist


%clean
###[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

 
%files
%defattr(-, root, root, 0755)
%doc CHANGES CONTRIBUTORS COPYING COPYRIGHT README TODO
%doc rpm-doc/docs/ examples/
%doc %{_mandir}/man1/*.1*
%{_bindir}/rrdcgi
%{_bindir}/rrdtool
%{_bindir}/rrdupdate

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/rrd.h
%{_libdir}/librrd.a
%{_libdir}/librrd.la

###%files -n perl-rrdtool
###%defattr(-, root, root, 0755)
###%doc examples/
###%doc %{_mandir}/man3/RRDp.3*
###%doc %{_mandir}/man3/RRDs.3*
###%{_libdir}/perl/5.8.2/RRDp.pm
###%{_libdir}/perl/5.8.2/ppc-aix/RRDs.pm
###%{_libdir}/perl/5.8.2/ppc-aix/auto/


%changelog
* Wed Feb 22 2006 Michael Perzl <mperzl at de dot ibm dot com>
- first version for AIX V5.1 and higher

